[Stable Update] 2020-05-31 - Kernels, Toolchain, KDE Apps, Gnome, Cinnamon, Deepin

Hello community,

Another stable branch update with some interesting updates for you!


Manjaro InfinityBook because it is a TUXEDO notebook with almost infinite possibilities ... #stayhome, #staysafe, #stayhealthy

  • All our Kernels got renewed or rebuilt against the new GCC10
  • KDE-git packages got updated
  • KDE Apps are now at 20.04.1
  • Mesa got another point-release
  • Cinnamon got updated to 4.6.0
  • More updates Deepin
  • Gnome updates to several packages
  • AMDVLK is now at 2020.Q2.4
  • NetworkManager got updated to 1.24.2
  • Calamares got some needed fixes to work again for our hardware vendors
  • openjdk got updated to 11 series
  • LibreOffice is now at 6.4.4
  • Regular Haskell, Python and Browser updates
  • The usual upstream updates by Arch

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest release Manjaro Lysia 20.0.2! XFCE, KDE and Gnome


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

sudo pacman -Syy
sudo pacman -S pacman-static
sudo pacman-static -Syyu

Our current supported kernels

  • linux44 4.4.225
  • linux49 4.9.225
  • linux414 4.14.182
  • linux419 4.19.125
  • linux54 5.4.43
  • linux56 5.6.15
  • linux57 5.7-rc7
  • linux54-rt 5.4.43_rt25
  • linux56-rt 5.6.14_rt7

Package Changes (Sun May 31 11:25:23 CEST 2020)

  • stable community x86_64: 1936 new and 1997 removed package(s)
  • stable core x86_64: 72 new and 74 removed package(s)
  • stable extra x86_64: 1767 new and 1841 removed package(s)
  • stable multilib x86_64: 44 new and 45 removed package(s)

A detailed list of all package changes can be found here

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

16 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed


Older issues

(2020-05-19) systemd 245.5 and old Plymouth

If you have an older Manjaro installation from 2017 or so, you might still have Plymouth installed. If you hadn't updated it from AUR, it is recommended to remove Plymouth before you attempt to update systemd. If for some reason you updated already and now have issues, login to a TTY and disable Plymouth:

  • Ctrl + Alt + F3 and login
  • sudo pacman -R plymouth
  • you may want to check if the wanted display manager still works and enable its service if needed.

For more details and possible further steps on Plymouth removal see https://wiki.manjaro.org/index.php?title=Plymouth#Removal In particular you need to remove the "plymouth" hook from /etc/mkinitcpio.conf and rebuild your initramfs.

Search the forum for additional Plymouth troubleshooting. 0.9.4.r269.g23afdeb-2 should fix the issue.

(2020-04-19) System with amdgpu won't reboot or power off correctly

This was a kernel regression and has been patched in 5.4.33-2, 5.5.18-2, and 5.6.5-2. Check again for updates.

(2020-04-18) nss>=3.51.1-1 and lib32-nss>=3.51.1-1 updates require manual intervention

This should normally been fixed by manjaro-system.

If you were using Pamac GTK and got an error message similar to the following (see screenshot below):
thumbnail
try first to simply restart the update with Pamac GTK. This should be enough to continue and finish the system update. Closing Pamac window may not be necessary. Normally, despite what the error message tells, the file conflict(s) should in fact be handled properly when manjaro-system got upgraded; hence restarting the upgrade right after should do the trick.

If the file conflict was not solved automatically by manjaro-system, update your system in a command-line interface with the following command to get through it:

sudo  pacman -Syu --overwrite /usr/lib\*/p11-kit-trust.so

(2020-04-18) Thunderbird might throw an error of older version available.

Use $ thunderbird --allow-downgrade from a terminal to fix it.

(2020-04-18) Thinkpad T460 (Intel Wireless 8260) bluetooth problems

If you have a Thinkpad T460 with kernel 5.5, Intel Wireless 8260 and experience trouble with bluetooth, just reboot several times.

(2020-04-18) Error: signature invalid

If you get:

Error: linux54: signature from "Bernhard Landauer <oberon@manjaro.org>" is invalid

You should follow the solution here


Reminder for Gnome users: How to upgrade within TTY?

In order to upgrade from Gnome 3.34 to Gnome 3.36, Manjaro devs strongly recommend to upgrade within TTY and not within a graphical session. Read the announcement above for the instructions on how to do the upgrade as recommended. For a more comprehensive guide on this subject, please read the following article in the FAQ: How do I do a system upgrade "within a tty"?.

error: failed to commit transaction (conflicting files)

If you get

error: failed to commit transaction (conflicting files)
hplip: /usr/share/hplip/base/__pycache__/__init__.cpython-38.pyc exists in filesystem

Make sure your mirrors are synced and that you have manjaro-system-20200324-4 or newer installed:

$ sudo pacman -S manjaro-system

Sound issues

If you're having sound issues (e.g. on Firefox, hardware keys, panel slider), try disabling User Themes, restarting and then enabling again.


firewalld>=0.8.1-2 update requires manual intervention

(From arch linux post)
The firewalld package prior to version 0.8.1-2 was missing the compiled python modules. This has been fixed in 0.8.1-2, so the upgrade will need to overwrite the untracked pyc files created. If you get errors like these

firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/__init__.cpython-38.pyc exists in filesystem
firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/client.cpython-38.pyc exists in filesystem
firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/dbus_utils.cpython-38.pyc exists in filesystem
...many more...

when updating, use

pacman -Syu --overwrite /usr/lib/python3.8/site-packages/firewall/\*

to perform the upgrade.


Report any AUR breakage here.

1 Like

I had to update three computers:

2 * KDE and 1 * XFCE.

All went fine!

Thanks to the Manjaro Team!

1 Like

Updated on Gnome. No issues.

1 Like

Update on KDE. No problems or issues.

Thanks Manjaro Team

378 packages updated without problems. Gnome linux56.
Thank you!

Thanks Manjaro team, thanks @philm
This is a Giga update, I'll waiting for the new ISO.
what would we do without you
regards

Yo, this is a massive update. I better run this without X open.
image

Updated via TTY and everything good so far XFCE, Kernel 5.6, nouveau

Thank you.

Updated via TTY. SDDM didn't show up after reboot, but another reboot resolved it.

Everything great on KDE, thank you.

Updated my Gnome via TTY, no issues.

Keep up the good work!

KDE super smooth update via terminal. Thanks everyone, stay safe! :vulcan_salute:

I have a problem with mpv and aom AV1 decoder.
It became too slow to decode 1080p 60fps video, while before it worked well even at x1.6 speed.
VLC works OK and other decoders seem to work fast with mpv, so it's something between mpv and libaom.

Open a new thread as this is only for commenting on an update. Your problem will be faster solved with a dedicated topic.

@philm

I encountered an odd issue with /etc/shadow:

My current /etc/shadow

(cointains a lot of things)
removed since cointain password's hashes

/etc/shadow.pacnew

root:*:14871::::::
(is totally different)

For now I ignore it: can I delete the this pacnew?

1 Like

currently pamac hangs after loading most packages, the last one was xorg-xdpyinfo. Message is:
grafik
It shows this message now since several minutes. No traffic on the net, so i assume loading has completed. Any ideas how to proceed?
HP

hey dave, probably you should not post your shadow file because there are some password hashes there, even though they are SHA512 hashes
you do not need do anything for this one..
check:


https://bbs.archlinux.org/viewtopic.php?id=255670
1 Like

choose a good mirror, that one may be bad.
make sure you sync to a 100% sync'd mirror
as you did not post which server you are using, i cannot check that for you:
https://repo.manjaro.org/

Updated (GNOME) via TTY, everything seems...faster?

Thanks Manjaro team!

Forum kindly sponsored by